package jmx.service.jms;

import jmx.service.jndi.JNDI;

/**
 * Abstract MBean implementation to add a JMS object (connection factory or destination)
 * in the JNDI namespace.
 * Used as a super-class for JMS provider specific MBean.
 */
public abstract class JMS extends JNDI implements JMSMBean
{
    private String  _jmsStyle = QUEUE_JMS_STYLE;
    private boolean _isXA     = false;

    public String getJMSStyle ()
    {
        return _jmsStyle;
    }

    public void setJMSStyle (String jmsStyle)
    {
        _jmsStyle = jmsStyle;
    }

    public boolean getIsXA ()
    {
        return _isXA;
    }

    public void setIsXA (boolean isXA)
    {
        _isXA = isXA;
    }
}
