package jmx.service.jms;

import jmx.service.jndi.JNDIMBean;

/**
 * Abstract MBean interface to add a JMS object (connection factory or destination)
 * in the JNDI namespace.
 * Used as a super-interface for JMS provider specific MBean.
 */
public interface JMSMBean extends JNDIMBean
{
    public final static String QUEUE_JMS_STYLE = "Queue";
    public final static String TOPIC_JMS_STYLE = "Topic";
    
    public String  getJMSStyle ();
    public void    setJMSStyle (String jmsStyle);
    public boolean getIsXA ();
    public void    setIsXA (boolean isXA);
}
